Bug 35535 - missing CONFIG_PROC_FS in include/linux/autoconf.h
missing CONFIG_PROC_FS in include/linux/autoconf.h
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-10 20:26 EDT by Hiremane Radhakrishna
Modified: 2007-03-26 23:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 20:26:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hiremane Radhakrishna 2001-04-10 20:26:23 EDT
Running QA0404:
The build of the kernel-source RPM version 2.4.2-0.1.49 (the QA0404 
release) has what appears to be a corrupt include/linux/autoconf.h.  
CONFIG_PROC_FS is one of many defines missing from this file, and is 
causing the Intel network adapter drivers to build without proc support 
which in turn effects the ability of the Intel Advanced Network Services 
to function properly.

Have attempted to rebuild the kernel SRPM, and have verified that the 
output of the linux-merge-config.awk script does not appear to be correct. 
Without delving to far into the internals, I was able to determine through 
experimentation that it is the autoconf.h generated from the i386-BOOT 
kernel that is breaking the merge script (removing the i386 BOOT line from 
savedheaders/list causes linux-merge-config.awk to produce what appears to 
be correct output).
Comment 1 Jakub Jelinek 2001-04-11 07:36:58 EDT
This was fixed in 2.4.2-0.51. Anyway, it is not autoconf related, belongs
under kernel.

Note You need to log in before you can comment on or make changes to this bug.